var params_name = {
    chain_id: 'chain_key',
    device_token:'device_token',
    restaurant_id: 'res_id',
    order_type: 'order_type',
    language_code: 'language_code',
    username:'username',
    password:'password',
    category_id : 'cat_id',
    user_id: 'user_id',
    user_phone: 'customer_phone',
    is_delete: 'is_delete',
    has_change: 'has_change',
    
    // Search dish
    tags : 'tags',
    keyword: 'keyword',
    //search restaurant
    order_type_id:'order_type_id',
    
    social_account_id:'social_account_id',
    social_type:'social_type',
    avatar:'avatar',
    full_name:'full_name',
    first_name:'first_name',
    last_name:'last_name',
    email:'email',
    user_email: 'user_email',
    birthday:'birthday',
    is_receive_promo_and_update:'is_receive_promo_and_update',
    address:'address', 
    country:'country',
    state: 'state',
    city: 'city',
    mobile_no:'mobile_no',
    client_address_id: 'client_address_id',
    address_id: 'address_id',
    
    // dish info
    dish_id : 'dish_id',
    sku_id: 'sku_id',
    quantity: 'quantity',
    customizations: 'customizations',
    cus_opt_id: 'cust_opt_id',
    cus_opt_quantity: 'cust_opt_quantity',
    dish_total_price: 'amount',
    dish_special_instruction: 'special_instruction',
    cus_id: 'cus_id',
    
    // postion
    lattitue: 'client_lat',
    longitue: 'client_long',
    
    // time
    local_time: 'client_time',
    
    // Device Info
    os_type: 'os_type',
    os_version: 'os_version',
    device_name: 'device_name',
    app_version: 'app_version',
    order_dishes: 'dishes',
    order_time: 'order_time',
    
    // Payment
    total_amount: 'total_amount',
    order_id: 'order_id',
    customer_id: 'customer_id',
    //favourites
    favourite : 'favourite',
    //Order Type
    ordertype_id: 'ordertype_id',
    ordertype_ids:'ordertype_ids',
    is_recommendations:'is_recommendations',
    version_key:'version_key',
    
    // Promotion
    promotion_code: 'promotion_code',
    is_free_addon: 'is_free_addon',
    payment_type: 'payment_type',
    service_list: 'service_list',
    item_list: 'item_list',
    feedback_comment: 'feedback_comment',
    message: 'message',
    
    // staff
    phone: 'phone',
    staff_id:'staff_id',
    
    // HocOT - add is_skipque
    is_skipque: 'is_skipque'
};

var api_url = {
    // restaurant
    get_category_list : constant.api_url + 'data/categories', //'get_category_list',
    get_sub_category_and_item_of_category: constant.api_url + 'data/dishes',
    find_restaurants: constant.api_url + 'data/find_restaurants',
    get_dish_tags: constant.api_url + 'data/tags',
    search_dish_by_tags: constant.api_url + 'data/search/dish',
    get_res_info: constant.api_url + 'data/get_restaurant',
    check_availability: constant.api_url + 'data/check_restaurant_availability',
    
    // dish
    get_dish_info : constant.api_url + 'data/dish',
    get_recommendations:constant.api_url + 'data/recommendations',
    
    // login
    sign_in : constant.api_url + 'user/login',
    staff_sign_in : constant.api_url + 'staff/phone_order/login',
    sign_in_with_social_account: constant.api_url + 'user/social_login',
    get_signin_screen_info: constant.api_url + 'get_signin_screen_info',
    forgot_password: constant.api_url + 'user/forgot_password',
    sign_up: constant.api_url + 'user/register',
    logout: constant.api_url + 'user/logout',
    
    sign_up_not_require_email: constant.api_url + 'user/register_phone_order',
    
    //profile
    get_countries: constant.api_url + 'data/countries',
    get_state: constant.api_url + 'data/countries',
    get_city: constant.api_url + 'data/states',
    get_type: constant.api_url + 'get_type',
    get_user_profile: constant.api_url + 'user/get',
    update_profile_information: constant.api_url + 'user/update',//update profile information
    update_profile_information_by_staff: constant.api_url + 'user/staff_update',
    
    //get_term_condition_screen_info
    get_term_condition_screen_info: constant.api_url + 'common/term_condition',
    
    // App Home page
    get_chain_home_page_data: constant.api_url + 'common/home',
    
    // common images
    get_common_images_data: constant.api_url + 'common/get_common_images',
    
    // Order
    validate_order_pickup: constant.api_url + 'order/confirm_pickup_order',
    get_payment_list: constant.api_url + 'payments/list',
    make_payment_pick_up_order: constant.api_url + 'order/make_payment_pickup_order',
    validate_delivery_order: constant.api_url + 'order/confirm_delivery_order',
    make_payment_delivery_order: constant.api_url + 'order/make_payment_delivery_order',
    validate_order_type: constant.api_url + 'data/check_supported_order_type',
    
    //get restaurants list of pickup
    find_restaurants_of_pickup : constant.api_url + 'data/find_restaurants_of_pickup',
    find_restaurants_of_delivery: constant.api_url + 'data/find_restaurants_of_delivery',
    //favorite
    get_favorite_list: constant.api_url + 'user/favorites',
    favorite_user: constant.api_url +'user/favorite',
    // Promotion
    get_promotion_list: constant.api_url + 'data/get_promotion_list ',
    get_promotion_detail: constant.api_url + 'data/get_promotion_detail',
    apply_promotion: constant.api_url + 'data/get_promotion_info',
    //notifications
    get_notifications: constant.api_url + 'user/notifications',
    
    cash_payment: constant.api_url + 'payments/insert/cash',
    
    // Track order
    track_order_list: constant.api_url + 'user/orders',
    get_order_info: constant.api_url + 'user/order',
    
    // Send email receipt
    send_email_receipt: constant.api_url + 'user/send_email_receipt',
    //feedback
    get_list_order_feedback: constant.api_url + 'user/get_list_order_feedback',
    get_list_item_feedback: constant.api_url + 'user/get_list_item_feedback',
    confirm_feedback: constant.api_url + 'user/confirm_feedback',
    //about
    send_contact_us: constant.api_url + 'user/contact_us',
    get_faqs: constant.api_url + 'user/get_faqs',
    get_about_us: constant.api_url + 'common/get_about_us',
    
    //staff
    search_phone_cus:constant.api_url + 'user/phone_order/search_phone'
};