skipQueueApp.controller ('OrderTypeCtrl', function($rootScope, $scope, GlobalRestaurant, OrderTypeService) {
    $scope.isShowNotice = true;
    $scope.menus=[];
    $scope.hideNotice = function() {
        $scope.isShowNotice = false;        
    };
    $scope.resetHeight = function() {
        $('.has-bar-header-order-type').css({marginTop : '-1px'});
    };
    
    $scope.init = function(){
        // caoth: #1182 Phone Order: reset res when coming to the order type page
        if(!constant.is_skipque) {
            GlobalRestaurant.clear();
        }
        
        var globalRes = GlobalRestaurant.getAll();                 
        
        var arrOrderTypes = globalRes.orderTypes;
        if(arrOrderTypes.length>0){
            $scope.menus = angular.copy(OrderTypeService.parseOrderTypesFromOrderTypeInRes(arrOrderTypes));
        }
        else{
            $scope.menus = angular.copy(constCommonObj.arr_order_type_default);
        }
    };
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function(){
        $rootScope.$broadcast('loading:hide');
    });
    
    $scope.gotoOrderTypeDetailPage = function(page){
        if(page === page_name.pickup_order_now){
            var orderIds = constant.order_type_child_pickup_now + ',' + constant.order_type_child_pickup_later;
            OrderTypeService.checkSupportedOrderType(orderIds, null, null, function(){
                if ($rootScope.hackPage) {
                    $tmpHackPage = $rootScope.hackPage;
                    $rootScope.hackPage = "";
                    $scope.goToPage($tmpHackPage);
                }
                else {
                    $scope.goToPage(page);
                }    
                
            });
        }else if(page === page_name.delivery_order_now){
            var orderIds = constant.order_type_child_delivery_now + ',' + constant.order_type_child_delivery_later;
            OrderTypeService.checkSupportedOrderType(orderIds, null, null, function(){
                if ($rootScope.hackPage) {                    
                    $tmpHackPage = $rootScope.hackPage;
                    $rootScope.hackPage = "";
                    $scope.goToPage($tmpHackPage);
                }
                else {
                    $scope.goToPage(page);
                }  
            });
        }else if(page){
            $scope.goToPage(page);
        }
    };
    
    $scope.init();
});

