skipQueueApp.controller('PaymetnSuccessCtrl', function($rootScope, $scope, OrderCart){
    $scope.confirmationNumber = OrderCart.getCart().orderNumber;
    
    $scope.btnDoneClicked = function(){
        OrderCart.clearAll();
        
        var nextPage = constant.is_skipque ? page_name.index : page_name.order_type;
        $scope.goToPage(nextPage);
    };
    
    $scope.btnFeedbackClicked = function(){
        var orderCart = OrderCart.getCart();
        OrderCart.clearAll();
        $scope.goToPageWithParams(page_name.feedback, {orderCart:orderCart.orderId, orderName: orderCart.orderNumber});
    };
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function(){
        $rootScope.$broadcast('loading:hide');
    });
});