skipQueueApp.controller('PromotionDetailCtrl', function ($scope, $rootScope, OrderCart, PromotionSrv, Utilities, Promotion, data) {
    $scope.init = function () {

        $scope.promotion = new Promotion();
//        var parseResult = $scope.parseData(PromotionSrv.parseDataPromoDetail, data);
//
//        if (!$scope.isParseDataSuccess(parseResult)) {
//            return;
//        }

        $scope.promotion.init(data);
    };

    $scope.applyPromotion = function () {
        if (Utilities.isHasPromotionApplied()) {
            Utilities.showConfirm(constant.language.mess_title_warning, constant.language.msg_change_promotion, function (result) {
                if (result) {
                    PromotionSrv.applyPromotion($scope.promotion).then(function (result) {
//                        $rootScope.$broadcast('loading:hide'); //caoth
                        $scope.goToPage(page_name.res_menu);
                    }, function (error) {
                        //TODO: write log error
//                        $rootScope.$broadcast('loading:hide');
                        Utilities.showAlertError(constant.language.mess_title_error, error.message);
                    });
                }
                else {
                    return;
                }
            });
        } else {
            PromotionSrv.applyPromotion($scope.promotion).then(function (result) {
                $scope.goToPage(page_name.res_menu);
            }, function (error) {
                //TODO: write log error
                Utilities.showAlertError(constant.language.mess_title_error, error.message);
            });
        }
    };

    Utilities.turnOffIndicator($scope);
});