skipQueueApp.controller('PromotionListCtrl', function ($scope, $state, OrderCart, GlobalRestaurant, PromotionSrv, Utilities, data, Paging) {
    $scope.isShowNotice = true;
    $scope.allPromotions = null;
    $scope.toogleRightMenu();
    var cart = null;
    $scope.init = function () {
        if ($state.current.name === page_name.promotion_list) {
            var parseResult = $scope.parseData(PromotionSrv.parseDataListPromo, data);

            if (!$scope.isParseDataSuccess(parseResult)) {
                return;
            }
            
            GlobalRestaurant.setNumberOfPromotions(parseResult.obj.length);

            // success case
            $scope.allPromotions = parseResult.obj;
//            PromotionSrv.setPromoList(angular.copy($scope.promotions));
            PromotionSrv.setPromoList(angular.copy($scope.allPromotions));
            
        } else {
            $scope.allPromotions = PromotionSrv.getPromoList();
        }
        $scope.Paging = new Paging($scope.allPromotions);
        $scope.promotions = $scope.Paging.loadMore();
        cart = OrderCart.getCart();
    };

    $scope.closeGuide = function (promotion) {
        $scope.isShowNotice = false;
        $('.has-guide').css({marginTop : '43px'});
    };
    
    $scope.goToPromoDetail = function (promotion) {
        $scope.goToPageWithParams(page_name.promotion_detail, {promoId: promotion.id});
    };

    $scope.isCanLoadMore = function () {
        return $scope.Paging.isCanLoadMore();
    };

    $scope.loadMore = function () {
        //$scope.isLoading = true;
        var moreItems = $scope.Paging.loadMore();
        if (moreItems.length !== 0) {
            $scope.promotions = $scope.promotions.concat(moreItems);
        }
        $scope.$broadcast('scroll.infiniteScrollComplete');
    };

    var isAppliedPromo = $scope.isAppliedPromo = function (promo) {
        if (cart.promotion) {
            var appliedPromo = angular.copy(cart.promotion);
            return appliedPromo.code === promo.code;
        }
        
        return false;
    };

    Utilities.turnOffIndicator($scope);
});

skipQueueApp.controller('PromotionCtrl', function ($scope, data) {
    $scope.toogleRightMenu();
});