skipQueueApp.controller('RecommendationCtrl', function ($rootScope, RecommendationService, $scope, RestaurantService, 
    OrderService, recommendations, $ionicPlatform) {
    $scope.recommendations = [];
    $scope.isShowNotice = true;
    $scope.init = function () {
        // Parse data
        var parseResult = $scope.parseData(RestaurantService.parseDataRecommendationsPage, recommendations);
        // Check parse data result if error return
        if (!$scope.isParseDataSuccess(parseResult)) {
            return;
        }

        $scope.recommendations = parseResult.obj;
    };
    
    // handle hard key back button for android
    var handleBack = $ionicPlatform.registerBackButtonAction(function(event) {
        event.preventDefault();
    }, 100);

    // then destroy it after finish
    $scope.$on('$destroy', handleBack);

    $scope.hideNotice = function () {
        $scope.isShowNotice = false;
    };

    $scope.goToDishDetailPage = function (dish) {
        if (dish.isActive) {
            $scope.goToPageWithParams(page_name.dish_detail, {dishId: dish.id, isRecommendation: true, parentId: dish.parentId, cusId: dish.cusId});
        }
    };

    var skipRecommendClick = $scope.skipRecommendClick = function () {
//        if (OrderService.getCurrentOrderType() === constant.all_order_type) {
//            $scope.goToPageWithParams(page_name.order_type);
//            return;
//        }

        var pageName = RecommendationService.choosePageToGo();
        $scope.goToPage(pageName);
    };

    $scope.$on("$ionicView.beforeLeave", function () {
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function () {
        $rootScope.$broadcast('loading:hide');
    });

    $scope.init();
});