skipQueueApp.controller('FavouritesCtrl', function ($rootScope, $scope, dishFavourites, Paging, $state) {
    $scope.favourites = [];
    $scope.isShowNotice = true;
    $scope.objCurrentPage = $state;
    $scope.init = function () {
        // Parse model data to view model
        //var parseResult = $scope.parseData(RestaurantService.parseFavouritesData, dishFavourites);

        // if error return
//        if (!$scope.isParseDataSuccess(parseResult)) {
//            return;
//        }
        //$scope.favourites = parseResult.obj;
        $scope.Paging = new Paging(dishFavourites);
        $scope.favourites = $scope.Paging.loadMore();
    };

    $scope.hideNotice = function () {
        $scope.isShowNotice = false;
    };

    $scope.resetHeight = function () {
        $('.bar-header-favourites').css({height: '0px'});
        $('.content-favourites').css({marginTop: '0px'});
    };

    $scope.isCanLoadMore = function () {
        return $scope.Paging.isCanLoadMore();
    };

    $scope.loadMore = function () {
        //$scope.isLoading = true;
        var moreItems = $scope.Paging.loadMore();
        if (moreItems.length !== 0) {
            $scope.favourites = $scope.favourites.concat(moreItems);
        }
        $rootScope.$broadcast('loading:hide');
        $scope.$broadcast('scroll.infiniteScrollComplete');
    };

    $scope.$on("$ionicView.beforeLeave", function () {
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function () {
        $rootScope.$broadcast('loading:hide');
    });
    
    $scope.init();
});