skipQueueApp.controller ('SplashCtrl', function($rootScope, LocalDB, $scope, $state, CommonService, Utilities, dataComImg) {
    $scope.splashData = {
        logoApp: 'img/tabsquare-icon.png',
        imgBackground : '',
        textVersion : 'ONN Ver 3.0',
        textPowered : 'Powered by Tabsquare'
    };
    /*
     *  + First launching, goto help(walk through) page
        + The next launching, If user is not login yet, goto login page
        + The next launching, if user login already, goto "Chain Home page"
     */
    
    $scope.init = function () {
//        loadDataSplash(imgTest);
        // hard code data for testing
//        data = $.parseJSON('{\
//		"result": true,\
//		"message": "",\
//		"code": "",\
//		"data": {\
//			"splash": "img/splash-background.png",\
//			"help_pages": [{\
//				"title": "Welcome to Skipque 3.0",\
//				"image": "img/device-airbnb.png"\
//				},{\
//				"title": "Welcome to Skipque 3.0",\
//				"image": "img/device-facebook-paper.png"\
//				},{\
//                                "title": "Welcome to Skipque 3.0",\
//				"image": "img/device-foursquare.png"\
//				},{\
//                                "title": "Welcome to Skipque 3.0",\
//				"image": "img/device-instagram.png"\
//				},{\
//                                "title": "Welcome to Skipque 3.0",\
//				"image": "img/device-twitter.png"\
//				}\
//			],\
//			"login_page_logo": "img/Crust.png"\
//		}\
//	}');

        var parseResult = $scope.parseData(CommonService.parseCommonImagesData, dataComImg);
        // Check parse data result
        // if error
        // return
        if (!$scope.isParseDataSuccess(parseResult)) {
            Utilities.showAlertError(constant.language.mess_title_error, parseResult.message);
            return;
        }
        var data = parseResult.obj;
        
        // set data to rootScope
        $rootScope.chain_logo = data.chain_logo;
        $rootScope.help_pages = data.help_pages;
        $rootScope.chain_landing_images = data.chain_landing_images;
        $rootScope.icon_discover = data.icon_discover;
        $rootScope.icon_promotion = data.icon_promotion;
        $rootScope.icon_favourite = data.icon_favourite;
        
        // set data for splash page to run
        //$scope.splashData.imgBackground = data.splash_img;
        $scope.splashData.imgBackground = "img/splash-background.png";
        setTimeout(function() {
            if(constant.is_skipque) {
                if($rootScope.isFirstRun){ // caoth: well, the isFirstRun func return FALSE if it is the 1st run :))
                    Utilities.skip();
                    return;
                } else {
                    var data = {
                        _id: constant.local_db_first_run,
                        value: true
                    };
                    LocalDB.put(data).then(function(){}, function(error){});
                    $state.go(page_name.walk_through);
                }
            }
            else {
                $state.transitionTo(page_name.login);
            }
            
        }, 2000);
    };    
    
});