skipQueueApp.controller ('TermsCtrl', function($rootScope, $scope, ConnectionService) {
    $scope.termsContent ='';
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function(){
        $rootScope.$broadcast('loading:hide');
    });
    
    $scope.init = function(){
        // call API get_term_condition_screen_info
        var rawParams = [{prm_name: params_name.chain_id, prm_value: constant.chain_id }, 
            { prm_name: params_name.language_code, prm_value: constant.language_code }];

        ConnectionService.get(api_url.get_term_condition_screen_info, rawParams).then(function(data){
                // Parse data
                // ERROR handling with parse data.
                //////////Only for testing.//////////////////
//                var data = {content: '<h4 style="font-size: 18px; font-weight: bold; margin-top: 20px;">Terms of Use</h4>\n\
//                           <p style="font-size: 16px; margin: 10px 0px;">These Term of Use govern you, the user, in your use of the application software, and any data and documents supplied with the software, (together, the \"Application\"). These Term of Use form an agreement between you and Food Glossary Pte Ltd registered in Singapore), trading as "Skipque"("we", "us" or "Skipque"), and you acknowledge that Apple Inc. ("Apple") and Google Inc. ("Google"), respectively, are not Apple or Google, are responsile for the Application and the content thereof, as described in these Term of Use or our Privacy Policy, please do not use the Application. If you have any questions about these Terms of Use, please contact us by email at <a href="mailto:contactus@skipque.com">contactus@skipque.com</a>.</p>\n\
//                           <p style="font-size: 16px; margin: 10px 0px;">We reserve the right to terminate the Application and this Agreement at any time. Further we shall the right to disable or cancel your user account, at any time and without notice, if in our opinion, you have failed to comply with any of the provisions of these Term of Use.</p>'};

                //End for testing //
                $scope.termsContent = data.content;
            }, function(error){
                $scope.errorHandler(error);
        });
    };
});