skipQueueApp.controller("WalkThroughCtrl", function($rootScope, $scope, Utilities, $ionicSlideBoxDelegate, $ionicHistory, $ionicPlatform) {
    $scope.device = 'iphone5 black';
    $scope.screens=[];
    
    $scope.init = function(){
         $scope.screens = angular.copy(loadDataHelp());
    };
    
    var loadDataHelp = function(){
            var arrScreen=[];
            var help_pages = $rootScope.help_pages;
            
            for (var i=0; i<help_pages.length;i++){
                var tmp = help_pages[i];
                var screen = {title:tmp.title, img:tmp.image};
                arrScreen.push(screen);
            }
            return arrScreen;
            
    };
    
    // handle hard key back button for android
    var handleBack = $ionicPlatform.registerBackButtonAction(function(event) {
        event.preventDefault();
    }, 100);

    // then destroy it after finish
    $scope.$on('$destroy', handleBack);
            
//    $scope.slideHasChanged = function(){
//        if($ionicSlideBoxDelegate.currentIndex() === 0){
//            $scope.skip();
//        }
//    };
    
    $scope.nextSlide = function() {
        $ionicSlideBoxDelegate.next();
        //$scope.slideHasChanged();
    };
    
    $scope.previousSlide = function() {
        $ionicSlideBoxDelegate.previous();
    };
    
    $scope.skip = function(){
        //Utilities.skip();
        var backView = $ionicHistory.backView();
        if(backView.stateName === page_name.splash){
            $scope.goToPage(page_name.login);
        } else if(backView.stateName === page_name.home_menu || backView.stateName === page_name.index){
            $scope.goBack();
        }
    };
    
    $scope.init();
    Utilities.turnOffIndicator($scope);
});