skipQueueApp.service('GlobalRestaurant', function(){
    // Remind: If need expired date for global variables. Use $timeout to clear data.
    // Object contains params    
    var _resData = {
        resName: '',
        resId: '',
        choosenCat: {name: '', id: ''},
        //selectedOrderType: constant.all_order_type,// this order type is selected
        orderTypes: [],
        tagsIdList: [],
        keyword: '',
        numberOfPromotions: 0
    };

    var init = this.init = function (data) {
        if (data) {
            _resData = data;
        } else {
            _resData = {
                resName: '',
                resId: '',
                skuHeaderText: '',
                choosenCat: {name: '', id: ''},
                selectedOrderType: constant.all_order_type, // this order type is selected
                orderTypes: [],
                tagsIdList: [],
                keyword: '',
                numberOfPromotions: 0
            };
        }
    };

    this.setResData = function (data) {
        _resData = data;
    };

    this.getAll = function () {
        return _resData;
    };
    
    this.getResName = function(){
        return _resData.resName;
    };

    this.getSkuHeaderText = function () {
        return _resData.skuHeaderText;
    };

    this.getChoosenCat = function () {
        return _resData.choosenCat;
    };    
    
    this.getResId = function () {        
        return _resData.resId;
    };

    this.setResId = function (resId) {
        _resData.resId = resId;
    };

    this.getOrderType = function () {
        return _resData.selectedOrderType;
    };

    this.setOrderType = function (value) {
        _resData.selectedOrderType = value;
    };

    this.getArrOrderTypes = function () {
        return _resData.orderTypes;
    };

    this.setTagIdList = function (tagIdList) {
        _resData.tagIdList = tagIdList;
    };

    this.getTagIdList = function () {
        return _resData.tagIdList;
    };

    this.setSearchKeyword = function (keyword) {
        _resData.keyword = keyword;
    };

    this.getSearchKeyword = function () {
        return _resData.keyword;
    };
    this.setResName = function (name) {
        _resData.resName = name;
    };
    this.setSkuHeaderText = function (text) {
        _resData.skuHeaderText = text;
    };
    
    this.setNumberOfPromotions = function(no){
        _resData.numberOfPromotions = no;
    };
    
    this.getNumberOfPromotions = function(){
        return _resData.numberOfPromotions;
    };
    
    this.clear = function(){
        init();
    };
});