skipQueueApp.service('GlobalStaff', function ($q,  LocalDB) {
    
    var _staff;
    
    this.init = function(staff){
        _staff = staff;
        saveStaffToDB();
    };
    
    this.getStaff=function(){
        var dfd = $q.defer();
        
        if(constant.is_skipque) {
            dfd.resolve (null);
        }
        else {
            if(angular.isUndefined(_staff)){
                getStaffFromDB(function(resStaff){
                    _staff = resStaff;
                    dfd.resolve (_staff);
                });
            } else {
                dfd.resolve(_staff);
            }
        }                
        
        return dfd.promise;
    };
    
    function saveStaffToDB(){
        //if befor Staff login exist is remove them
        getStaffFromDB(function(resStaff){
            if(resStaff){
                LocalDB.removeById(constant.local_db_staff_key, resStaff._rev).then(function(success){
                    _staff._id = constant.local_db_staff_key;
                    delete _staff['_rev'];
                    LocalDB.put(_staff).then(function(success){
                        if(success){
                            getStaffFromDB(function(objStaff){
                                _staff = objStaff;
                            });
                        }
                    }, function(error){
                        console.log(error);
                    });
                    
                },function(error){
                    console.log(error);
                });
            }
            else{
                _staff._id = constant.local_db_staff_key;
                delete _staff['_rev'];
                LocalDB.put(_staff).then(
                    function(success){
                        getStaffFromDB(function(objStaff){
                        _staff = objStaff;
                    });
                }, function(error){});
            }
        });
    };
    
    function getStaffFromDB(callback){
        LocalDB.get(constant.local_db_staff_key).then(
            function(success){return callback(success);}, 
            function(error){console.log(error.message);return callback(null);
        });
    };
    this.removeStaff=function(){
        if(!_staff._rev){
            return;
        }
        LocalDB.removeById(constant.local_db_staff_key, _staff._rev).then(
            function(success){_staff = null;}, 
            function(error){console.log('11');
        });
    };
});
