skipQueueApp.service('GlobalUser', function ($q,  LocalDB) {
    
    var _user;
    
    this.init = function(user){
        _user = user;
        saveUserToDB();
    };
    
    this.getUser = function () {
        var dfd = $q.defer();
        if (angular.isUndefined(_user)) {
            getUserFromDB(function (resUser) {
                _user = resUser;
                dfd.resolve(_user);
            });
        } else {
            dfd.resolve(_user);
        }

        return dfd.promise;
        //return _user;
    };

    function saveUserToDB() {
        //if befor user login exist is remove them
        getUserFromDB(function (resUser) {
            if (resUser) {
                LocalDB.removeById(constant.local_db_user_key, resUser._rev).then(function (success) {
                    _user._id = constant.local_db_user_key;
                    delete _user['_rev'];
                    LocalDB.put(_user).then(function (success) {
                        if (success) {
                            getUserFromDB(function (objUser) {
                                _user = objUser;
                            });
                        }
                    }, function (error) {
                        console.log(error);
                    });

                }, function (error) {
                    console.log(error);
                });
            }
            else{
                _user._id = constant.local_db_user_key;
                delete _user['_rev'];
                LocalDB.put(_user).then(
                        function (success) {
                            getUserFromDB(function (objUser) {
                                _user = objUser;
                            });
                        }, function (error) {});
            }
        });
    };
    
    function getUserFromDB(callback){
        LocalDB.get(constant.local_db_user_key).then(
                function (success) {
                    return callback(success);
                },
                function (error) {
                    console.log(error.message);
                    return callback(null);
                });
    };

    this.removeUser = function () {
        if (!_user._rev) {
            return;
        }
        LocalDB.removeById(constant.local_db_user_key, _user._rev).then(
                function (success) {
                    _user = null;
                },
                function (error) {
                    console.log('11');
                });
    };
});