skipQueueApp.controller ('HomeMenuCtrl', function($rootScope, $scope, CommonService, UserService, GlobalNotifications) {
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function(){
        $rootScope.$broadcast('loading:hide');
    });
    
    //$scope.background = '';
    $scope.numberOfNotification = 0;
    
    $scope.init = function(){
        //$scope.background = 'img/home-bg.png';
        if(!$rootScope.getChainHomePage){
            CommonService.getChainHomePage(constant.chain_id).then(function(data){
                var temp = $scope.parseData(UserService.parseChainHomeData, data);
                //+ If not exist is update infor of user that. Goto Home page.
                if(!$scope.isParseDataSuccess(temp)){
                    return;
                }
                GlobalNotifications.getNotifications().then(function (notificationsDB) {
                    if(notificationsDB){
                        $scope.numberOfNotification = notificationsDB.notifications.length;
                    }
                });
                $rootScope.getChainHomePage = $scope.data = temp.obj;
            }, function(error){
                $scope.errorHandler(error);
            });
        }
        else{
            $scope.data = $rootScope.getChainHomePage;
        }
    };    
    $scope.init();
});