
/* global constant, page_name, skipQueueApp */

skipQueueApp.controller ('LandingCtrl', function($rootScope, $scope, $window, GlobalUser, Utilities, $ionicHistory,
                                                OrderCart, data, GlobalRestaurant, $ionicPlatform) { 
    $scope.userDefault=constant.url_avatar_default_sign_up;
    $scope.isUserActive = false;
    $scope.user = {};
    $scope.data = {}; //{banner_images:[], menu_sequence:[{icon, caption, fn_click}], tabsquare_url:''}
    GlobalRestaurant.clear();
    OrderCart.clearAll();
    $scope.dynamicScreenHeight = 0;
    
    $scope.$on('$ionicView.enter', function() {
     // Code you want executed every time view is opened
//        $scope.init();
        $rootScope.$broadcast('loading:hide');
    });
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });
    
    // handle hard key back button for android
    var handleBack = $ionicPlatform.registerBackButtonAction(function(event) {
        event.preventDefault();
    }, 100);

    // then destroy it after finish
    $scope.$on('$destroy', handleBack);
  
    $scope.init = function(){
        GlobalUser.getUser().then(function(data){
            if(data!== null && Utilities.emptyOrNull(data.user_id)){
                $scope.user = data;
                $scope.isUserActive = true;
            }
            else
                $scope.isUserActive = false;
        }, function(error) {
            $scope.isUserActive = false;
        });
        $scope.data = data;
        $ionicHistory.clearHistory();
        
        // caoth #1035, 1117 with hard-code numbers 
        $scope.dynamicScreenHeight = $window.innerHeight - 44 - 50 - 150; // 40 header, 50 track order, 150 horizontal scroll buttons
//        console.log($scope.dynamicScreenHeight); caoth: in case we need exact height: use percent of this dynamicScreenHeight
//        // calculate and set the height and width of header and images and footer
//        
//        var totalHeight = $('.view-container').height();
//        
//        var footerScrollHeight = $('.block').height();
//        
//        var trackOrderHeight = $('.block-single-item').height();
//        
//        var menuHeight = $('.bar-header').height();
//        
//        var imagesSlider = $('.slider').height();
//        
//        var dynamicHeight = totalHeight - footerScrollHeight - trackOrderHeight - menuHeight - imagesSlider;
//        
//        if(dynamicHeight < 187){
//            $('.block-2-items').css({height: dynamicHeight});
//            var scrollBottom = totalHeight - footerScrollHeight - 20;
//            $('.block').css({top: scrollBottom, position: 'absolute'});
//        }
        
//        $('.block-2-items').css({height: "100%"});
    };
    
    $scope.init();

    $scope.login = function () {
        Utilities.showConfirm(constant.language.msg_login_required, constant.language.msg_do_you_want_login, function (res) {
            if (res) {
                Utilities.goBackToLogin(page_name.profile, []);
            }
        });
    };
});