skipQueueApp.controller ('NotificationsCtrl', function($scope, $rootScope, GlobalNotifications, data) {   
    
    $scope.init = function(){
        if(data && data.notifications){
            if(data.notifications.length > 0){
                //$scope.notifications.version_key++;
                GlobalNotifications.saveNotifications(data);
                $scope.notifications = data.notifications;
            }
        }
    };  
    
    $scope.clearNotifications = function(){	
        GlobalNotifications.clearNotifications();
        $scope.notifications = [];
    };  
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function(){
        $rootScope.$broadcast('loading:hide');
    });
});