skipQueueApp.controller ('DiscoverCtrl', function($rootScope, $scope, RestaurantService, GlobalRestaurant, Utilities, tagList, $filter) {
    $scope.search = '';
    $scope.tagsFirst =[];
    $scope.search = '';
    $scope.showNotice = true;    
    $scope.showtags = [];
        
    $scope.init = function() {
        // Parse model data to view model
        var parseResult = $scope.parseData(RestaurantService.parseDataDishTags, tagList);
        // Check parse data result
        // if error
        // return
        if (!$scope.isParseDataSuccess(parseResult)) {
            return;
        }
        // success case
        $scope.tags = $scope.tagsFirst = parseResult.obj;        
    };    
    
    $scope.hideNotice = function() {
        $scope.showNotice = false;    
        $('.bar-header-restaurant-seach').css({height : '88px'});
        $('.has-bar-header-restaurant-seach').attr('style', 'margin-top:85px !important');
    };
    
    $scope.clearTags = function() {
        //$scope.showtags = [];
        $scope.showtags.length = 0;
        for( var i=0; i<$scope.tags.length;i++)
        {
            $scope.tags[i].checked =false;
        }
    };
    $scope.cleanSearchKey = function() {
        //$scope.showtags = [];
        $scope.search = '';
    };
    
    $scope.addTag = function(index) {
        if(!$scope.tags[index].checked)
        {
            $scope.showtags.push(
                    $scope.tags[index]
                    );
            $scope.tags[index].checked = true;
        }
        else
        {
            var chooseTag = $scope.tags[index];
            var showindex = $scope.showtags.indexOf(chooseTag);
            $scope.showtags.splice(showindex, 1);
            $scope.tags[index].checked = false;
        }
    };
    
    $scope.showTag = function(index) {
        if($scope.tags[index].checked) return true;
        else return false;
    };
    
    $scope.goToSearchDishResult = function(){
        if(!$scope.showtags.length && (!$scope.search || $scope.search.length === 0)){
            Utilities.showAlertError(constant.language.err_msg.mess_title_error, constant.language.msg_choose_tags_keyword);
            return;
        }
        
        console.log('IN CTRL. \n keyword: ' + $scope.search + '\n tags list: ' + $scope.showtags);
        var tagIdList = [];
        angular.forEach($scope.showtags, function(tag){
            tagIdList.push(angular.copy(tag.id));
        });
        
        GlobalRestaurant.setTagIdList(tagIdList);
        GlobalRestaurant.setSearchKeyword($scope.search);
        $scope.goToPage(page_name.restaurant_discover_show);
    };
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function(){
        $rootScope.$broadcast('loading:hide');
    });
    
    $scope.init();
});