skipQueueApp.controller ('SearchCusCtrl', function($rootScope, $scope, StaffService, UserService, GlobalUser, Utilities) {    
    $scope.init = function () {
        $scope.search = {phone:''};
    };    
    $scope.init();
    
    $scope.continueSearch = function(){
        if ($scope.search.phone === '' || !$scope.search.phone) {
            Utilities.showAlertError(constant.language.mess_title_error, constant.language.err_msg.phone_required);
            return false;
        }
        StaffService.getProfileByPhoneCus(constant.chain_id, $scope.search.phone).then(function(dataUser){
            if(dataUser){
                var userParse = $scope.parseData(UserService.parseLoginUserData, dataUser);

                if (!$scope.isParseDataSuccess(userParse)) {
                    return;
                }
                // check empty for user_id. function isEmpty return true/false and object error 
                // Save user info.
                GlobalUser.init(userParse.obj);
                $scope.goToPage(page_name.profile);
            }
            else{
                //goto SignUp page.
                $scope.goToPageWithParams(page_name.signup, {phone:$scope.search.phone});
            }
        });
    };
    
    $scope.$on("$ionicView.beforeLeave", function(){
        $rootScope.$broadcast('loading:show');
    });

    $scope.$on("$ionicView.enter", function(){
        $rootScope.$broadcast('loading:hide');
    });
});