skipQueueApp.controller('TrackOrderListCtrl', function ($scope, OrderService, Utilities, orders) {
    $scope.init = function () {
        var parseResult = $scope.parseData(OrderService.parseDataTrackOrderList, orders);
        if (!$scope.isParseDataSuccess(parseResult)) {
            return;
        }
        // success case
        $scope.orderList = parseResult.obj;
        $scope.lengthOfCurrentOrder = $scope.orderList.currentOrder.length;
        $scope.orgList = $scope.orderList.currentOrder.concat($scope.orderList.pastOrder);
    };

    $scope.goToOrderDetailPage = function (order) {
        /**
         * This is code for old order of new status
         * {
                $scope.goToPageWithParams(page_name.order_new_status, {orderNo: order.number});
                break;
            }
         * */
        switch(order.clientPageType){
            case constant.order_past_status: {
                $scope.goToPageWithParams(page_name.past_order_detail, {
                    orderNo: order.number,
                    orderId: order.id,
                    orderType: order.orderTypeId
                });
                break;
            }
            case constant.order_new_status:
            case constant.order_other_status: {
                $scope.goToPageWithParams(page_name.track_order_detail, {
                    orderNo: order.number,
                    orderId: order.id,
                    orderType: order.orderTypeId
                });
                break;
            }
            default:{
                break;
            }
        }
    };
    
    Utilities.turnOffIndicator($scope);
});