skipQueueApp.factory('Connection', function ($http, $q, $ionicPopup, $resource) {
    
    var obj = {};
   
    obj.get = function (url, data) {
//        console.log(url);
//        console.log(data);

        var connection = $resource(url, {}, {
            'get': {
                method: 'GET',
                timeout: constant.NETRWORK_TIMEOUT
            }
        });
            
        var dfd = $q.defer();
        connection.get(data).$promise.then(function(result){
           dfd.resolve(result); 
        }, function(error){
            dfd.reject(error);
        });
        
        return dfd.promise;
    };        
    
    obj.postWithParams = function (url, params, data) {
        //data: '@data'
        
        var connection = $resource(url, params, {
            post: {
                method: 'POST',
                timeout: constant.NETRWORK_TIMEOUT
            }
        });
        var dfd = $q.defer();
        connection.post(data).$promise.then(function(result){
           dfd.resolve(result); 
        }, function(error){
            dfd.reject(error);
        });
        
        return dfd.promise;
    };

    obj.post = function (url, data) {
        //data: '@data'
        
        var connection = $resource(url, {}, {
            post: {
                method: 'POST',
                timeout: constant.NETRWORK_TIMEOUT
            }
        });
        var dfd = $q.defer();
        connection.post(data).$promise.then(function(result){
           dfd.resolve(result); 
        }, function(error){
            dfd.reject(error);
        });
        
        return dfd.promise;
    };

    obj.put = function (url, data) {                
        
        var connection = $resource(url, {}, {
            update: {
                method: 'PUT',
                timeout: constant.NETRWORK_TIMEOUT
            }
        });
        var dfd = $q.defer();
        connection.update(data).$promise.then(function(result){
           dfd.resolve(result); 
        }, function(error){
            dfd.reject(error);
        });
        
        return dfd.promise;
    };

    obj.delete = function (url, data) {                
        
        var connection = $resource(url);
        var dfd = $q.defer();
        connection.delete(data).$promise.then(function(result){
           dfd.resolve(result); 
        }, function(error){
            dfd.reject(error);
        });
        
        return dfd.promise;
    };

    return obj;
});