skipQueueApp.factory('Paging', function () {
    var Paging = function (data, itemsPerPage) {
        if (itemsPerPage) {
            this.itemsPerPage = itemsPerPage;
        } else {
            this.itemsPerPage = 10;
        }
        this.data = data;
        this.numberOfPage = Math.round(data.length / this.itemsPerPage);
        this.currentPage = 0;
    };

    Paging.prototype.init = function (data, itemsPerPage) {
        if (itemsPerPage) {
            this.itemsPerPage = itemsPerPage;
        } else {
            this.itemsPerPage = 10;
        }
        this.data = data;
        this.numberOfPage = Math.round(data.length / this.itemsPerPage);
        this.currentPage = 0;
        console.log(this.data.length);
    };

    Paging.prototype.isCanLoadMore = function () {
        return this.data.length > 0;
    };

    Paging.prototype.loadMore = function () {
        var result = this.data.splice(0, this.itemsPerPage);
        return result;
    };

    return Paging;
});