/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

skipQueueApp.service('GlobalNotifications', function (LocalDB, $q) {
    var _notifications;
    this.saveNotifications = function(notifications){
        _notifications = notifications;
        getNotificationsFromDB(function(notifi){
            if(notifi){
                LocalDB.removeById(constant.local_db_notifications_key, _notifications._rev).then(function(success){
                    _notifications._id=constant.local_db_notifications_key;
                    delete _notifications['_rev'];
                    LocalDB.put(_notifications).then(function(success){
                        if(success){
                            getNotificationsFromDB(function(obj){
                                _notifications = obj;
                            });
                        }
                    }, function(error){
                        console.log(error);
                    });
                },function(error){
                    console.log(error);
                });
            }
            else{
                _notifications._id=constant.local_db_notifications_key;
                delete _notifications['_rev'];
                LocalDB.put(_notifications).then(function(success){
                    getNotificationsFromDB(function(obj){
                        _notifications = obj;
                    });
                }, function(error){});
            }
        });
    };
    
    this.getNotifications=function(){
        var dfd = $q.defer();
        if( angular.isUndefined(_notifications)){
            getNotificationsFromDB(function(obj){
                _notifications = obj;
                dfd.resolve (_notifications);
            });
        } else {
            dfd.resolve(_notifications);
        }
        
        return dfd.promise;
        //return _user;
    };
    
    this.clearNotifications=function(){
        var version_key = 0;
        if(_notifications){
            if(!_notifications._rev){
                return;
            }
            version_key = _notifications.version_key;
        }
        LocalDB.removeById(constant.local_db_notifications_key, _notifications._rev).then(function(success){
            _notifications = {'version_key': version_key, 'notifications': []};
        }, function(error){
            console.log('11');
        });
    };
    
     this.clearAllNotifications=function(){
         if(_notifications && _notifications._rev){
             LocalDB.removeById(constant.local_db_notifications_key, _notifications._rev).then(function(success){
                _notifications = {'version_key': '0', 'notifications': []};
            }, function(error){
                console.log('11');
            });
         }
        
    };
    
    function getNotificationsFromDB(callback){
        LocalDB.get(constant.local_db_notifications_key).then(function(success){
            //return success;
            return callback(success);
        }, function(error){
            console.log(error.message);
            return callback(null);
        });
    };
});