/* global page_name, constant, $rootScopaddressDefaulte */

//document.addEventListener('deviceready', function () {
// if (device.platform === 'iOS' && parseFloat(device.version) >= 7.0) { 
//        navigator.splashscreen.hide(); //Hides the splash screen for your app.
//        StatusBar.overlaysWebView(false); //Turns off web view overlay.
//        StatusBar.backgroundColorByName('blue');
//        StatusBar.style(1) //Light
// }
//}, false);

var skipQueueApp = angular.module('skipqueue', ['ionic',
    'templates',
    'ngOpenFB',
    'uiRouterStyles',
    'pascalprecht.translate',
    'ngCordova',
    'ngIOS9UIWebViewPatch',
    'ngResource',
    'ionic.service.core',
    'ionic.service.push',
    'angularUUID2',
    'ngDropdowns',
    'ionic-toast',
    'ngAnimate']);

//skipQueueApp.run(function ($ionicPlatform, ngFB) {
//    ngFB.init({appId: '1179098652118738', status: true, cookie: true, xfbml: true});
//    $ionicPlatform.ready(function () {
//        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
//        // for form inputs)
//        if (window.cordova && window.cordova.plugins.Keyboard) {
//            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
//        }
//        if (window.StatusBar) {
//            StatusBar.styleDefault();
//        }
//    });
//});

// add animation
skipQueueApp.animation('.slide-toggle', ['$animateCss', function($animateCss) {
        return {
            addClass: function(element, className, doneFn) {
                if (className == 'ng-hide') {
                    var animator = $animateCss(element, {                    
                        to: {height: '0px', opacity: 0}
                    });
                    if (animator) {
                        return animator.start().finally(function() {
                            element[0].style.height = '';
                            doneFn();
                        });
                    }
                }
                doneFn();
            },
            removeClass: function(element, className, doneFn) {
                if (className == 'ng-hide') {
                    var height = element[0].offsetHeight;
                    var animator = $animateCss(element, {
                        from: {height: '0px', opacity: 0},
                        to: {height: height + 'px', opacity: 1}
                    });
                    if (animator) {
                     return animator.start().finally(doneFn);
                    }
                }
                doneFn();
            }
        };
    }]);

skipQueueApp.run(function ($rootScope, $ionicPlatform, $ionicLoading, ngFB, $ionicHistory, $ionicPopup, $cordovaNetwork, $cordovaToast, $templateCache, $timeout) {
    ngFB.init({appId: constant.facebook_app_id, status: true, cookie: true, xfbml: true});
      
    $ionicPlatform.ready(function () {
        //$rootScope.device_token = '123';
        
        $rootScope.isOnline = true;
                        
        // hard code to test it on browser
        //$rootScope.device_token = '123';       
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            StatusBar.styleDefault();
        }

        $rootScope.$on('loading:show', function () {
            $ionicLoading.show({
                template: '<ion-spinner icon="bubbles"></ion-spinner>',
                duration: 120000 // 1000 * 60 * 2
            });
        });

        $rootScope.$on('loading:hide', function () {
            $ionicLoading.hide();
        });           
        
        // caoth https://forum.ionicframework.com/t/how-to-use-backbutton-event-best-pratice/3577/10
        $ionicPlatform.registerBackButtonAction(function(e){
            //do your stuff
            e.preventDefault();
            return false;
        },101);
        
        document.addEventListener("deviceready", function () {
            var type = $cordovaNetwork.getNetwork();

            var isOnline = $cordovaNetwork.isOnline();
            var isOffline = $cordovaNetwork.isOffline();
            
            if(isOffline){
//                $ionicPopup.confirm({
//                    title: "Internet disconnected",
//                    content: "The Internet is disconnected on your device."
//                })
//                .then(function(result) {
//                    if(!result) {
//                        ionic.Platform.exitApp();
//                    }
//                });
        
                $rootScope.isOnline = false;
                if (window.cordova) {                    
                    $cordovaToast.showLongBottom(constant.language.err_msg.no_internet_will_exit).then(function(success) {
                        // success
                        ionic.Platform.exitApp();
                        
                        // caoth FAILED
//                        $timeout(function() {
//                            ionic.Platform.exitApp();
//                        }, 2000);
                        
                    }, function (error) {
                        // error
                        ionic.Platform.exitApp();
//                        $timeout(function() {
//                            ionic.Platform.exitApp();
//                        }, 2000);
                    });
                } else {
                    console.log(messageContent);
                }
            }
            

            // listen for Online event
            $rootScope.$on('$cordovaNetwork:online', function(event, networkState){
              var onlineState = networkState;
            });

            // listen for Offline event
            $rootScope.$on('$cordovaNetwork:offline', function(event, networkState){
              var offlineState = networkState;
            });

        }, false);

        initPushwoosh($rootScope, $cordovaToast);
        
        // caoth splash screen vs splash view
        navigator.splashscreen.hide();

    });
});

function initPushwoosh(rootScope, cordovaToast) {
    if (device.platform == "Android") {
        registerPushwooshAndroid(rootScope, cordovaToast);
    }

    if (device.platform == "iPhone" || device.platform == "iOS") {
        registerPushwooshIOS(rootScope, cordovaToast);
    }
}

function registerPushwooshIOS(rootScope, cordovaToast)
{
    rootScope.pushNotification = cordova.require("com.pushwoosh.plugins.pushwoosh.PushNotification");

    //set push notification callback before we initialize the plugin
    document.addEventListener('push-notification', function (event) {
        //get the notification payload
        var notification = event.notification;

        //display alert to the user for example
        //alert(notification.aps.alert);
        cordovaToast.show(notification.aps.alert, 'long', 'top');

        //clear the app badge
        rootScope.pushNotification.setApplicationIconBadgeNumber(0);
    });

    //initialize the plugin

    rootScope.pushNotification.onDeviceReady({pw_appid: constant.pushwoosh_id});

    //register for pushes
    rootScope.pushNotification.registerDevice(
            function (status) {
                var deviceToken = status['deviceToken'];
                // reset device token when user login
                rootScope.device_token = deviceToken;
                console.warn('registerDevice: ' + deviceToken);
            },
            function (status) {
                console.warn('failed to register : ' + JSON.stringify(status));
                alert(JSON.stringify(['failed to register ', status]));
            }
    );

    //reset badges on app start
    rootScope.pushNotification.setApplicationIconBadgeNumber(0);
}

function registerPushwooshAndroid(rootScope,cordovaToast)
{
    rootScope.pushNotification = cordova.require("com.pushwoosh.plugins.pushwoosh.PushNotification");

    //set push notifications handler
    document.addEventListener('push-notification', function (event) {
        var title = event.notification.title;
        var userData = event.notification.userdata;

        if (typeof (userData) != "undefined") {
            console.warn('user data: ' + JSON.stringify(userData));
        }

        //alert(title);
        cordovaToast.show(title, 'long', 'top');
    });

    //initialize Pushwoosh with projectid: "GOOGLE_PROJECT_NUMBER", pw_appid : "PUSHWOOSH_APP_ID". This will trigger all pending push notifications on start.
    rootScope.pushNotification.onDeviceReady({projectid: constant.google_api_key, pw_appid: constant.pushwoosh_id});

    //register for pushes
    rootScope.pushNotification.registerDevice(
            function (status) {
                var pushToken = status;
                
                // reset device token when user login
                rootScope.device_token = pushToken;
                console.warn('push token: ' + pushToken);
            },
            function (status) {
                console.warn(JSON.stringify(['failed to register ', status]));
            }
    );
    
    //reset badges on app start
    rootScope.pushNotification.setApplicationIconBadgeNumber(0);
}

skipQueueApp.filter('unsafe', function ($sce) {
    return function (val) {
        return $sce.trustAsHtml(val);
    };
});

skipQueueApp.config(['$httpProvider', function ($httpProvider) {
  //Reset headers to avoid OPTIONS request (aka preflight)
  $httpProvider.defaults.headers.common = {};
  $httpProvider.defaults.headers.post = {};
  $httpProvider.defaults.headers.put = {};
  $httpProvider.defaults.headers.patch = {};
}]);

skipQueueApp.config(function ($stateProvider, $urlRouterProvider, $compileProvider, $ionicConfigProvider) {
    
    $ionicConfigProvider.views.maxCache(0);  // Disable cache in view and controller
    
    $ionicConfigProvider.scrolling.jsScrolling(false); // caoth 1093
    
    $stateProvider.state(constant.root_state, {url: '', templateUrl: 'side_menu.html', abstract: true, cache: false});
    //home pages
    $stateProvider.state(page_name.splash, {url: '/splash',
        views: {
            'menuContent': {
                controller: 'SplashCtrl',
                templateUrl: 'home/splash_view.html',
                resolve: {
                    dataComImg: function($rootScope, CommonService, $q, Utilities) {
                        //TODO: un-comment when api is ready
                        $rootScope.$broadcast('loading:show');
                        var dfd = $q.defer();
                        CommonService.getCommonImages(constant.chain_id).then(function (data) {
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                            dfd.reject(error);
                        });
                        return dfd.promise;
                    }
                }
            }
        }
    });
    $stateProvider.state(page_name.walk_through, {
        url: '/walk-through',
        views: {
            'menuContent': {
                controller: 'WalkThroughCtrl',
                templateUrl: "home/walk_through.html"
//                resolve: {
//                    test: function (ConnectionService) {
//                        //check call API
//                        var url = 'get_help_screen_info';
//                        params = {
//                            chain_id: constant.chain_id,
//                            language_code: constant.language_code
//                        };
//                        return null; // ConnectionService.get(url, params);
//                    }
//                }
            }
        }
    });
    $stateProvider.state(page_name.login, {
        url: '/login',
        views: {
            'menuContent': {
                controller: 'LoginCtrl',
                templateUrl: 'user/login.html'
                        /*
                         resolve: {
                         resLogin: function(ConnectionService){
                         //check call API
                         var url = 'get_signin_screen_info';
                         params = {
                         chain_id:'53634f48a5488',
                         language_code: 'en'
                         };
                         return null;//ConnectionService.get(url, params); 
                         }
                         }*/
            }
        },
        params: {skipGoingBack: true}
    });
    
    $stateProvider.state(page_name.home_menu, {url: '/home_menu',
        views: {'menuContent': {templateUrl: "home_menu.html", cache: false}}
    });
    
    $stateProvider.state(page_name.index, {url: '/index',
        views: {
            'menuContent': {
                templateUrl: "home_chain_landing.html",
                controller: 'LandingCtrl',
                cache: false,
                resolve: {
                    data: function ($rootScope, CommonService, $q, Utilities, UserService) {
                        if($rootScope.getChainHomePage){
                            return $rootScope.getChainHomePage;
                        }
                        else{
                            $rootScope.$broadcast('loading:show');
                            var dfd = $q.defer();
                            CommonService.getChainHomePage(constant.chain_id).then(function (data) {
                                var temp = Utilities.parseData(UserService.parseChainHomeData, data);
                                $rootScope.$broadcast('loading:hide');
                                //+ If not exist is update infor of user that. Goto Home page.
                                if (!Utilities.isParseDataSuccess(temp)) {
                                    return;
                                }
                                $rootScope.getChainHomePage = temp.obj;
                                dfd.resolve(temp.obj);
                            }, function (error) {
                                $rootScope.$broadcast('loading:hide');
                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                dfd.reject(error);
                            });
                            return dfd.promise;
                        }
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.search_cus, {url: '/search_cus',
        views: {
            'menuContent': {
                controller: 'SearchCusCtrl',
                templateUrl: 'staff/search_customer.html',
                cache: false
            }
        }
    });

    //profile pages
    $stateProvider.state(page_name.profile, {url: '/profile',
        views: {
            'menuContent': {
                templateUrl: "user/profile.html",
                controller: 'ProfileCtrl',
                cache: false,
                resolve: {
                    profileInfo: function ($rootScope, Utilities, GlobalUser, UserService, $q, $state, CommonService) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (data) {
                            if (data && data.user_id) {
                                $rootScope.$broadcast('loading:show');
                                UserService.getUserProfile(constant.chain_id, data.user_id).then(function (respone) {
                                    var userParse = Utilities.parseData(UserService.parseLoginUserData, respone);
                                    if (!userParse.result) {
                                        dfd.reject(userParse.obj);
                                    }
                                    $rootScope.$broadcast('loading:hide');
                                    dfd.resolve(userParse.obj);
                                    
                                }, function (error) {
                                    $rootScope.$broadcast('loading:hide');
                                    dfd.reject(error);
                                });
                            }
                            else {
                                //Utilities.goBackToLogin($state.current.name, $state.params);
                                Utilities.showConfirm(constant.language.msg_login_required, constant.language.msg_do_you_want_login, function (res) {
                                    if (res) {
                                        Utilities.goBackToLogin(page_name.profile, []);
                                    }
                                });
                            }
                        });
                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.signup, {url: '/signup/:email/:social_id/:avatar/:firstName/:lastName/:phone',
        views: {'menuContent': {templateUrl: "user/signup.html", cache: false}}
    });

    $stateProvider.state(page_name.about, {url: '/about',
        views: {'menuContent': {templateUrl: "about/index.html", cache: false,
                controller: 'AboutCtrl',
                resolve: {
                    dataAboutUs: function ($rootScope, CommonService, Utilities, $q) {
                        $rootScope.$broadcast('loading:show');
                        var dfd = $q.defer();
                        CommonService.getAboutUS(constant.chain_id).then(function (data) {
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            Utilities.showAlertError(constant.language.mess_title_error, error.message);
                            dfd.reject();
                        });
//                        var data ={'title':'About Wendys chain','content': '<h2><strong>Wendys</strong></h2> <p>The best burgers in town.</p> <p><em>This thing rocks</em></p>','img_url': 'img/i-01.jpg'};
//                        dfd.resolve(data);
                        return dfd.promise;
                    }
                }}}
    });
    
    $stateProvider.state(page_name.terms, {url: '/about/terms',
        views: {'menuContent': {templateUrl: "about/term_and_conditions.html", cache: false}}
    });
    
    $stateProvider.state(page_name.about_us, {url: '/about/about_us',
        views: {'menuContent': {templateUrl: "about/about_us.html", cache: false,
                controller: 'AboutUsCtrl'
            }
        }
    });
    
    $stateProvider.state(page_name.contact, {url: '/about/contact',
        views: {'menuContent': {templateUrl: "about/contact_us.html", cache: false}}
    });
    
    $stateProvider.state(page_name.faq, {url: '/about/faq',
        views: {'menuContent': {templateUrl: "about/faq.html",
                cache: false,
                controller: 'FAQCtrl',
                resolve: {
                    dataFAQs: function ($rootScope, UserService, Utilities, $q) {
                        $rootScope.$broadcast('loading:show');
                        var dfd = $q.defer();
                        UserService.getFAQs(constant.chain_id).then(function (data) {
//                            var objParse = Utilities.parseData(UserService.parseFAQs, data);
//                            if (!objParse.result) {
//                                dfd.reject(objParse.obj);
//                            }
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            Utilities.showAlertError(constant.language.mess_title_error, error.message);
                            dfd.reject();
                        });
                        
                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.faq_ans, {url: '/about/faq_ans',
        views: {'menuContent': {templateUrl: "about/faq_item.html",cache: false}}
    });

    //restaurant pages
    $stateProvider.state(page_name.res_find, {url: '/restaurants/search',
        views: {
            'menuContent': {
                templateUrl: "restaurants/find_restaurants.html", data: {},
                controller: 'FindRestaurantsCtrl',
                cache: false,
                resolve: {
                    restaurants: function ($rootScope, RestaurantService, Utilities, $q) {                        
                        var dfd = $q.defer();
                        var now = Utilities.formatDateTime(constant.formatDateTime, new Date());
                        Utilities.getCurrentPosition().then(function (position) {
                            $rootScope.$broadcast('loading:show');
                            RestaurantService.findRestaurants(constant.chain_id, position.lat, position.long, now, constant.language_code).then(function (data) {
                                dfd.resolve(data);
                            }, function (error) {
                                $rootScope.$broadcast('loading:hide');
                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                dfd.reject();
                            });
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            dfd.reject(error);
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.res_show, {url: '/restaurants/show',
        views: {
            'menuContent': {
                controller: 'RestaurantShowCtrl', templateUrl: "restaurants/show.html",
                cache: false,
                resolve: {
                    restaurant: function ($rootScope, RestaurantService, Utilities, $q, GlobalRestaurant) {
                        var dfd = $q.defer();
                        $rootScope.$broadcast('loading:show');
                        RestaurantService.getRestInfo(constant.chain_id, GlobalRestaurant.getResId()).then(function (data) {
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                            dfd.reject();
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.restaurant_discover, {url: '/restaurants/:restaurantId/discover',
        views: {
            'menuContent': {
                controller: 'DiscoverCtrl',
                templateUrl: "restaurants/discover.html", data: {},
                cache: false,
                resolve: {
                    tagList: function ($rootScope, RestaurantService, GlobalRestaurant, $stateParams, Utilities, $q) {
                        var dfd = $q.defer();
                        $rootScope.$broadcast('loading:show');
                        RestaurantService.getTagList(constant.chain_id, constant.language_code).then(function (data) {
                            // Hard code for test
                            //data = testData.tags;
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data.tags);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            // Show error message.
                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                            // Prevent go to restaurant's category page
                            dfd.reject();
                            //dfd.resolve(testData.tags);
                        });
                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.restaurant_discover_show, {url: '/restaurants/',
        views: {
            'menuContent': {
                controller: 'DiscoverResultCtrl',
                templateUrl: "restaurants/discover_show.html", data: {},
                cache: false,
                resolve: {
                    dishList: function ($rootScope, RestaurantService,GlobalUser, GlobalRestaurant, Utilities, $q, OrderCart) {
                        $rootScope.$broadcast('loading:show');
                        var tags = GlobalRestaurant.getTagIdList();
                        var keyword = GlobalRestaurant.getSearchKeyword();
                        var globalRes = GlobalRestaurant.getAll();
                        //check selected order type?
                        var orderTypeId = '';
                        var orderCartObj = OrderCart.getCart();
                        if (orderCartObj && orderCartObj.selectedOrderType) {
                            orderTypeId = orderCartObj.selectedOrderType.toString();
                        }
                        else if (globalRes && globalRes.orderTypes.length > 0)
                            orderTypeId = globalRes.orderTypes.join(',');
                        console.log('keyword: ' + keyword + '\n' + 'tags: ' + tags);
                        var dfd = $q.defer();
//                        var testData = {
//                            dishes: [{
//                                    "dish_id": "209", "dish_name": "Name Of Dish To Be In Title Case DINPro Medium 16pt", "org_price": 28.00, "price": 20.20, "currency": "S$", "fav_counter": 172, "ordered_counter": 122, "promo_discount": "20% OFF"
//                                }, {
//                                    "dish_id": "210", "dish_name": "Burger", "org_price": 28.00, "price": 20.20, "currency": "S$", "fav_counter": 172, "ordered_counter": 122, "promo_discount": "20% OFF"
//                                }, {
//                                    "dish_id": "211", "dish_name": "Name Of Dish Single Line", "org_price": 28.00, "price": 20.20, "currency": "S$", "fav_counter": 172, "ordered_counter": 122, "promo_discount": "20% OFF"
//                                }]
//                        };
                        GlobalUser.getUser().then(function (data) {
                            var userId = '';
                            if(data){
                                userId = data.user_id;
                            } 
                            $rootScope.$broadcast('loading:show');
                            RestaurantService.getDishByTag(constant.chain_id, globalRes.resId, orderTypeId, tags.join(','), keyword, constant.language_code, userId).then(function (data) {
                                $rootScope.$broadcast('loading:hide');
                                dfd.resolve(data);
                            }, function (error) {
                                $rootScope.$broadcast('loading:hide');
                                // Show error message.
                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                // Prevent go to restaurant's category page
                                dfd.reject();
                            });
                        });
                        
                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.restaurant_favourites, {url: '/restaurants/favourites',
        views: {
            'menuContent': {
                controller: 'FavouritesCtrl',
                templateUrl: "restaurants/favourites.html",
                cache: false,
                resolve: {
                    dishFavourites: function (RestaurantService, GlobalRestaurant, Utilities, $q, GlobalUser,
                            $state, OrderCart, $rootScope) {
                        //check login?
                        //if not login goto login
                        //if login goto favouties
                        //     call api get_favorite_list        
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (data) {
                            var globalRes = GlobalRestaurant.getAll();
                            var orderTypeId = '0';
                            var orderCartObj = OrderCart.getCart();
                            if (orderCartObj && orderCartObj.selectedOrderType)
                                orderTypeId = OrderCart.getCart().selectedOrderType.toString();

                            if (data && data.user_id) {
                                RestaurantService.getFavourites(constant.chain_id, globalRes.resId, data.user_id, orderTypeId, constant.language_code).then(function (respone) {
                                    var objParse = Utilities.parseData(RestaurantService.parseFavouritesData, respone);
                                    if (!objParse.result) {
                                        dfd.reject(objParse.obj);
                                    }
                                    dfd.resolve(objParse.obj);
                                }, function (error) {
                                    $rootScope.$broadcast('loading:hide');
                                    dfd.reject(error);
                                });
                            }
                            else {
                                //Utilities.goBackToLogin($state.current.name, $state.params);
                                Utilities.showConfirm(constant.language.msg_login_required, constant.language.msg_do_you_want_login, function (res) {
                                    if (res) {
                                        Utilities.goBackToLogin(page_name.restaurant_favourites, []);
                                    }
                                });
//                                $rootScope.currentPage = $state;
//                                $state.go(page_name.login);
                            }
                        });
                        return dfd.promise;

//                        var globalRes = GlobalRestaurant.getAll();
////                        console.log('keyword: ' + keyword + '\n' + 'tags: ' + tags);
//                        var dfd = $q.defer();
//                        RestaurantService.getFavourites(constant.chain_id, globalRes.resId, userId, orderTypeId, constant.language_code).then(function (data) {
//
//                            dfd.resolve(data);
//                        }, function (error) {
//                            // Show error message.
//                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
//                            // Prevent go to restaurant's category page
//                            dfd.reject();
//                        });
//                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.res_delivery, {url: '/restaurants/delivery',
        views: {
            'menuContent': {
                controller: 'RestaurantDeliveryController',
                templateUrl: "restaurants/delivery_restaurants.html",
                cache: false,
                resolve: {
                    restaurants: function ($rootScope, RestaurantService, OrderCart, Utilities, $q) {
                        $rootScope.$broadcast('loading:show');
                        var cart = OrderCart.getCart();
                        var dfd = $q.defer();
//                        console.log('1079: address_id' + cart.address.id);
                        RestaurantService.getRestaurantsOfDelivery(constant.chain_id, cart.selectedOrderType, cart.address.id,
                                cart.dateTime, constant.language_code).then(function (data) {                                    
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                            dfd.reject();
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.res_pickup, {url: '/restaurants/pickup',
        views: {
            'menuContent': {
                controller: 'RestaurantPickupController',
                templateUrl: "restaurants/restaurants_by_pickup.html",
                cache: false,
                resolve: {
//                    restaurantsOfPickup: function (ConnectionService) {
//                        var url = '';
//                        var params = {
//                            chainId: constant.chain_id,
//                            language_code: constant.language_code
//                        };
//
//                        return {name: 'test'}//ConnectionService.callApiData(url, params);
//                    }
                    restaurantsOfPickup: function ($rootScope, RestaurantService, Utilities, $q, GlobalRestaurant, OrderCart) {                        
                        var gOrderCard = OrderCart.getCart();
                        var isLater = false;
                        if (gOrderCard && gOrderCard.selectedOrderType === constant.order_type_child_pickup_later) {
                            isLater = true;
                        }
                        var dfd = $q.defer();

                        Utilities.getCurrentPosition().then(function (position) { 
                            $rootScope.$broadcast('loading:show');
                            RestaurantService.findRestaurantsOfPickup(constant.chain_id, gOrderCard.selectedOrderType,
                                    position.lat, position.long, gOrderCard.dateTime, isLater,
                                    constant.language_code).then(function (data) {
                                $rootScope.$broadcast('loading:hide');
                                dfd.resolve(data);
                            }, function (error) {
                                $rootScope.$broadcast('loading:hide');
                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                dfd.reject();
                            });
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            console.log(error);
                            dfd.reject(error);
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });

    // Dishes
    $stateProvider.state(page_name.dish_detail, {url: '/dish/:subCatId/:dishId/:guid/:isRecommendation/:cusId',
        views: {
            'menuContent': {
                controller: 'DishDetailsCtrl',
                templateUrl: "dishes/show.html",
                cache: false,
                resolve: {
                    dish: function ($rootScope, RestaurantService, GlobalUser, $stateParams, Utilities, $q, $ionicSideMenuDelegate) {
                        $rootScope.$broadcast('loading:show');
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (user) {
                            var userId ='';
                            if(user){
                                userId = user.user_id;
                            }
                                                        
                            RestaurantService.getDishInfo($stateParams.dishId, $stateParams.isRecommendation, userId, $stateParams.cusId).then(function (data) {
                                $ionicSideMenuDelegate.toggleRight(false);
                                data.isRecommendation = $stateParams.isRecommendation;
                                data.parentId = $stateParams.parentId;
                                data.cusId = $stateParams.cusId;
                                $rootScope.$broadcast('loading:hide');
                                dfd.resolve(data);
                            }, function (error) {
                                $rootScope.$broadcast('loading:hide');
                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                dfd.reject();
                            });
                        });
                        
                        return dfd.promise;
                    }
                }
            },
            'rightMenu': {controller: 'OrderListCtrl', cache: false, templateUrl: 'orders/my_orders.html'}
        },
        params: {
            isRecommendation: null,
            parentId: null
        }
    });

    $stateProvider.state(page_name.dish_recommendations, {url: '/recommendations/:dishId',
        views: {
            'menuContent': {
                controller: 'RecommendationCtrl',
                templateUrl: "recommendation/index.html",
                cache: false,
                resolve: {
                    recommendations: function ($rootScope, $state, RecommendationService, RestaurantService, $stateParams, Utilities, $q,GlobalUser, $ionicSideMenuDelegate, $state) {
                        $rootScope.$broadcast('loading:show');
                        var dfd = $q.defer();
                         GlobalUser.getUser().then(function (user) {
                            var userId ='';
                            if(user){
                                userId = user.user_id;
                            }
                            RestaurantService.getRecommendations($stateParams.dishId, userId).then(function (data) {
                                $ionicSideMenuDelegate.toggleRight(false);
                                data.parentId = $stateParams.parentId;
                                if(!data.recommendations.length){
                                    var pageName = RecommendationService.choosePageToGo();
                                    $state.transitionTo(pageName);
                                    dfd.resolve();
                                }
                                $rootScope.$broadcast('loading:hide');
                                dfd.resolve(data);
                            }, function (error) {
                                $rootScope.$broadcast('loading:hide');
                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                dfd.reject();
                            });
                        });
                        
                        return dfd.promise;
                    }
                }
            },
            'rightMenu': {controller: 'OrderListCtrl', cache: false, templateUrl: 'orders/my_orders.html'}
        },
        params: {
            parentId: null
        }
    });

    // Categories
    $stateProvider.state(page_name.category_show, {url: '/categories/:categoryId/:openOrderCart',
        views: {
            'menuContent': {
                controller: 'CategoryShowCtrl',
                templateUrl: "categories/show.html",
                cache: false,
                resolve: {
                    category: function ($rootScope, RestaurantService, GlobalRestaurant, OrderCart, GlobalUser, Utilities, $q) {
                        var dfd = $q.defer();
                        // GlobalUser.getUser().id
                        
                        $rootScope.$broadcast('loading:show');
                        
                        GlobalUser.getUser().then(function (user) {
                            if(user){                                
//                                console.log('getCategoryAndItsData with user');
                                RestaurantService.getCategoryAndItsData(constant.chain_id, GlobalRestaurant.getResId(), OrderCart.getCart().selectedOrderType,
                                        GlobalRestaurant.getChoosenCat().id, user.user_id, constant.language_code).then(function (data) {
                                    $rootScope.$broadcast('loading:hide');
                                    dfd.resolve(data);
                                }, function (error) {
                                    $rootScope.$broadcast('loading:hide');
                                    // Show error message.
                                    Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                    // Prevent go to restaurant's category page
                                    dfd.reject();
                                    //dfd.resolve(testData);
                                });
                            }
                            else{
//                                console.log('getCategoryAndItsData without user');
                                RestaurantService.getCategoryAndItsData(constant.chain_id, GlobalRestaurant.getResId(), OrderCart.getCart().selectedOrderType,
                                        GlobalRestaurant.getChoosenCat().id, '', constant.language_code).then(function (data) {
                                    dfd.resolve(data);
                                }, function (error) {
                                    $rootScope.$broadcast('loading:hide');
                                    // Show error message.
                                    Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                    // Prevent go to restaurant's category page
                                    dfd.reject();
                                    //dfd.resolve(testData);
                                });
                            }
                        });
                                                                        
                        return dfd.promise;
                    }
                }
            },
            'rightMenu': {controller: 'OrderListCtrl', cache: false, templateUrl: 'orders/my_orders.html'}
        }
    });

    $stateProvider.state(page_name.res_menu, {url: '/restaurant-menu/:payment_expired/:openOrderCart',
        views: {
            'menuContent': {
                controller: 'RestaurantMenuCtrl', templateUrl: 'restaurants/menu.html',
                cache: false,
                resolve: {
                    categories: function ($rootScope, RestaurantService, GlobalRestaurant, OrderCart, $stateParams, $ionicHistory, Utilities, $q, $ionicSideMenuDelegate) {
                        $ionicHistory.clearCache();
                        var dfd = $q.defer();
                        var isPaymentExpired = $stateParams.payment_expired;
                        var orderType = OrderCart.getCart().selectedOrderType;
                        $rootScope.$broadcast('loading:show');
                        RestaurantService.getCategoriesByOrderType(constant.chain_id, GlobalRestaurant.getResId(), orderType,
                                constant.language_code).then(function (data) {
                            $rootScope.$broadcast('loading:hide');
                            if(isPaymentExpired){
                                $ionicSideMenuDelegate.toggleRight(true);
                            }                            
                            dfd.resolve(data.categories);
                        }, function (error) {
                            console.log('app error');
                            $rootScope.$broadcast('loading:hide');
                            // Show error message.
                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                            // Prevent go to restaurant's category page
                            dfd.reject();
                        });
                        return dfd.promise;
                    }
                }
            },
            'rightMenu': {controller: 'OrderListCtrl', cache: false, templateUrl: 'orders/my_orders.html'}
        }
    });
    // Order cart
    $stateProvider.state(page_name.confirm_detail, {url: '/orders/confirm-detail/:payment_expired',
        views: {
            'menuContent': {
                controller: 'ConfirmDetailCtrl',
                templateUrl: 'orders/confirm_detail.html',
                cache: false,
                resolve: {
                    data: function ($rootScope, GlobalRestaurant, OrderService, $stateParams, Utilities, $q, $state) {
                        $rootScope.$broadcast('loading:show');
                        var is_payment_expired = $stateParams.payment_expired;
                        
                        var dfd = $q.defer();
                        
                        OrderService.validateOrder().then(function (data) {
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            if(is_payment_expired){
                                //TODO: need to check error code too BUT the error code server return
                                //is always the same so ignore it for now
                                $state.go(page_name.res_menu, {'payment_expired': true});
                            }
                            
                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                            dfd.reject();
                        });                        
                        
                       
                        return dfd.promise;
                    }
                }
            }
        }
    });

    $stateProvider.state(page_name.make_payment, {url: '/orders/make-payment',
        views: {
            'menuContent': {
                controller: 'MakePaymentCtrl',
                templateUrl: 'orders/make_payment.html',
                cache: false,
                resolve: {
                    data: function ($rootScope, GlobalRestaurant, RestaurantService, OrderService, $stateParams, Utilities, $q) {
                        var dfd = $q.defer();
                        
                        $rootScope.$broadcast('loading:show');
                        RestaurantService.getResPaymentMethod(GlobalRestaurant.getResId()).then(function (data) {
                            $rootScope.$broadcast('loading:hide');
                            dfd.resolve(data.payments);
                        }, function (error) {
                            $rootScope.$broadcast('loading:hide');
                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                            dfd.reject(error);
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });

    // Promotion list
//    $stateProvider.state(page_name.promotion_list, {url: '/promotions',
//        abstract: true,
//        views: {
//            'menuContent': {
//                controller: 'PromotionCtrl',
//                templateUrl: 'promotion/list.html',
//                cache: false,
//                resolve: {
//                    data: function () {
//                        return null;
//                    }
//                }
//            },
//            //'rightMenu': {controller: 'OrderListCtrl', cache: false, templateUrl: 'orders/my_orders.html'}
//        }
//    });

    $stateProvider.state(page_name.promotion_list, {url: '/promotions',
        views: {
            'menuContent': {
                controller: 'PromotionListCtrl',
                templateUrl: 'promotion/tab_promotions.html',
                cache: false,
                resolve: {
                    data: function ($rootScope, OrderCart, PromotionSrv, GlobalRestaurant, GlobalUser, Utilities, $q) {
                        var dfd = $q.defer();
                        var cart = OrderCart.getCart();
                        GlobalUser.getUser().then(function (user) {
                            $rootScope.$broadcast('loading:show');
                            PromotionSrv.getPromotionList(constant.chain_id, GlobalRestaurant.getResId(),
                                    user.user_id, cart.selectedOrderType, cart.dateTime, constant.language_code).then(function (data) {
                                $rootScope.$broadcast('loading:hide');
                                dfd.resolve(data);
                            }, function (error) {
                                $rootScope.$broadcast('loading:hide');
                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                dfd.reject(error);
                            });
                        });

                        return dfd.promise;
                    }
                }
            }
            //'rightMenu': {controller: 'OrderListCtrl', cache: false, templateUrl: 'orders/my_orders.html'}
        }
    });
    
//    $stateProvider.state(page_name.promo_tab_1, {url: '/list',
//        views: {
//            'promotionList': {
//                templateUrl: 'promotion/tab_promotions.html',
//                controller: 'PromotionListCtrl',
//                resolve: {
//                    data: function ($rootScope, OrderCart, PromotionSrv, GlobalRestaurant, GlobalUser, Utilities, $q) {
//                        var dfd = $q.defer();
//                        var cart = OrderCart.getCart();
//                        GlobalUser.getUser().then(function (user) {
//                            $rootScope.$broadcast('loading:show');
//                            PromotionSrv.getPromotionList(constant.chain_id, GlobalRestaurant.getResId(),
//                                    user.user_id, cart.selectedOrderType, cart.dateTime, constant.language_code).then(function (data) {
//                                $rootScope.$broadcast('loading:hide');
//                                dfd.resolve(data);
//                            }, function (error) {
//                                $rootScope.$broadcast('loading:hide');
//                                Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
//                                dfd.reject(error);
//                            });
//                        });
//
//                        return dfd.promise;
//                    }
//                }
//            }
//        }
//    });

//    $stateProvider.state(page_name.promo_tab_2, {url: '/offered-items',
//        views: {
//            'itemsOffered': {
//                templateUrl: 'promotion/offered_items.html',
//                controller: 'PromotionListCtrl',
//                resolve: {
//                    data: function () {
//                        return null;
//                    }
//                }
//            }
//        }
//    });

    $stateProvider.state(page_name.promotion_detail, {url: '/promotion/:promoId',
        views: {
            'menuContent': {
                controller: 'PromotionDetailCtrl',
                templateUrl: 'promotion/detail.html',
                cache: false,
                resolve: {
                    data: function ($rootScope, $stateParams, $filter, PromotionSrv) {
                        var promoes = PromotionSrv.getPromoList();
                        var condition = {id: $stateParams.promoId};
                        return $filter('filter')(promoes, condition)[0];
                    }
                }
            //'rightMenu': {controller: 'OrderListCtrl', cache: false, templateUrl: 'orders/my_orders.html'
            }
        }
    });

    // OrderType
    $stateProvider.state(page_name.order_type, {url: '/orders/order_type',
        views: {'menuContent': {cache: false, templateUrl: 'orders/order_type.html'}}
    });
    
    //delivery
    $stateProvider.state(page_name.delivery_order, {url: '/delivery/order',
        abstract: true,
        views: {
            'menuContent': {
                templateUrl: 'delivery/delivery_order.html',
                controller: 'DeliveryCtrl',
                resolve: {
                    userData: function (GlobalUser, Utilities, $q, $state) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (user) {
                            if (user) {
                                dfd.resolve(user);
                            } else {
                                Utilities.showConfirm(constant.language.msg_login_required, constant.language.msg_login_to_order, function (result) {
                                    if (result) {
                                        Utilities.goBackToLogin(page_name.delivery_order_now, []);
                                    }
                                });
                                dfd.reject();
                            }
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });

    $stateProvider.state(page_name.delivery_order_now, {url: '/now',
        views: {
            'orderNow': {
                templateUrl: 'delivery/delivery_order_now.html',
                controller: 'DeliveryCtrl',
                resolve: {
                    userData: function (GlobalUser, Utilities, $q) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (user) {
                            if (user) {
                                dfd.resolve(user);
                            } else {
                                dfd.resolve(null);
                            }
                        });

                        return dfd.promise;
                    }
                }
            }
        },
        params: {skipGoingBack: true}
    });
    
    $stateProvider.state(page_name.delivery_order_advanced, {url: '/advanced',
        views: {
            'advancedOrder': {
                templateUrl: 'delivery/delivery_order_advanced.html',
                controller: 'DeliveryCtrl',
                resolve: {
                    userData: function (GlobalUser, Utilities, $q) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (user) {
                            if (user) {
                                dfd.resolve(user);
                            } else {
                                dfd.resolve(null);
                            }
                        });
                        return dfd.promise;
                    }
                }
            }
        },
        params: {skipGoingBack: true}
    });
    //pickup
//    $stateProvider.state(page_name.pickup_order, {url: '/pickup/order',
//        abstract: true,
//        views: {'menuContent': {templateUrl: 'delivery/pickup_order.html'}}
//    });

    //pickup - HocOT - 20160510 - force user to login when click on order now
    $stateProvider.state(page_name.pickup_order, {url: '/pickup/order',
        abstract: true,
        views: {
            'menuContent': {
                templateUrl: 'delivery/pickup_order.html',
                resolve: {
                    userData: function (GlobalUser, Utilities, $q, $state) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (user) {
                            if (user) {
                                dfd.resolve(user);
                            } else {
                                Utilities.showConfirm(constant.language.msg_login_required, constant.language.msg_login_to_order, function (result) {
                                    if (result) {
                                        Utilities.goBackToLogin(page_name.pickup_order_now, []);
                                    }
                                });
                                dfd.reject();
                            }
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.pickup_order_now, {url: '/now',
        views: {'orderNow': {templateUrl: 'delivery/pickup_order_now.html' }},
        params: {skipGoingBack: true}
    });
    
    $stateProvider.state(page_name.pickup_order_later, {url: '/later',
        views: {'orderLater': {templateUrl: 'delivery/pickup_order_later.html'}},
        params: {skipGoingBack: true}
    });

    // Payment
    $stateProvider.state(page_name.payment_success, {url: '/payment/success',
        views: {'menuContent': {templateUrl: 'orders/payment_success.html', controller: 'PaymetnSuccessCtrl'}}
    });

    // Add address
    $stateProvider.state(page_name.add_address, {
        url: '/address/:index/:pageName', // index is the position of address in address Array
        views: {'menuContent': {templateUrl: '_add_address.html', controller: 'AddAddressCtrl'}}
    });
    
    //notifications
    $stateProvider.state(page_name.notifications, {url: '/notifications',
        views: {
            'menuContent': {
                templateUrl: 'about/notifications.html',
                controller: 'NotificationsCtrl',
                cache: false,
                resolve: {
                    data: function (GlobalUser, Utilities, $q, $state, UserService, GlobalNotifications, $rootScope) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (user) {
                            if (user) {
                                //var notifications = GlobalNotifications.getNotifications();
                                GlobalNotifications.getNotifications().then(function (notificationsDB) {
                                    if (!notificationsDB) {
                                        notificationsDB = {'version_key': '0', 'notifications': []};
                                    }
                                    else {
                                        notificationsDB.notifications = Utilities.sort(notificationsDB.notifications, 'message_id', true);
                                    }
                                    UserService.getNotifications(constant.chain_id, user.user_id, notificationsDB.version_key).then(function (objNotifications) {
                                        notificationsDB.notifications = Utilities.sort(notificationsDB.notifications, 'message_id', true);
//                                        var objNotifications ={'version_key': '2',
//                                            'notifications' : [{message_id: '5', message: 'Notification message 1'},
//                                                            {message_id: '6', message: 'Notification message 2'},
//                                                            {message_id: '7', message: 'Notification message 3'},
//                                                            {message_id: '8', message: 'Notification message 4 <br/> Notification message 4 <br/>Notification message 4'}]};
                                        var objNotificationsNew = UserService.parseNotificationsData(objNotifications);

                                        if (notificationsDB && notificationsDB.notifications && objNotificationsNew && objNotificationsNew.notifications && notificationsDB.notifications.length > 0) {
                                            objNotifications.notifications = Utilities.sort(notificationsDB.notifications, 'message_id', true);
                                            var i = 0;
                                            while (i < constant.length_arr_notifications - objNotificationsNew.notifications.length && i < notificationsDB.notifications.length) {
                                                objNotificationsNew.notifications.push(notificationsDB.notifications[i]);
                                                i++;
                                            }
                                        }
                                        if (objNotificationsNew.version_key)
                                            notificationsDB.version_key = objNotificationsNew.version_key;
                                        notificationsDB.notifications = objNotificationsNew.notifications;
                                        dfd.resolve(notificationsDB);
                                    }, function (error) {
                                        $rootScope.$broadcast('loading:hide');
                                        console.log(error);
                                        dfd.reject(notificationsDB);
                                    });
                                });
                                //call api for get notification list --- user/notifications
                                //dfd.resolve(user);
                            } else {
                                //Utilities.goBackToLogin($state.current.name, $state.params);
                                Utilities.showConfirm(constant.language.msg_login_required, constant.language.msg_do_you_want_login, function (res) {
                                    if (res) {
                                        Utilities.goBackToLogin(page_name.notifications, []);
                                    }
                                });
                            }
                        });

                        return dfd.promise;
                    }
                }
            }
        }
    });

    $stateProvider.state(page_name.track_order, {
        url: '/track-orders',
        views: {
            'menuContent': {
                controller: 'TrackOrderListCtrl',
                templateUrl: 'orders/track_order_list.html',
                cache: false,
                resolve: {
                    orders: function ($rootScope, $q, Utilities, OrderService, GlobalUser) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function(user){
                            if(user){
                                $rootScope.$broadcast('loading:show');
                                OrderService.getOrderList(constant.chain_id, user.user_id, constant.language_code).then(function(data){
                                    $rootScope.$broadcast('loading:hide');
                                    dfd.resolve(data);
                                }, function(error){
                                    $rootScope.$broadcast('loading:hide');
                                    Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                    dfd.reject(error);
                                });                                
                            } else {
                                dfd.reject();
                            }
                        });
                        
                        return dfd.promise;
                    }
                }
            }
        }
    });

    // Feedback
    $stateProvider.state(page_name.feedback, {url: '/orders/feedback/:orderCart/:orderName',
        views: {
            'menuContent': {
                cache: false,
                templateUrl: 'orders/feedback.html',
                controller: 'FeedBackCtrl',
                resolve: {
                    ordersData: function ($rootScope,GlobalUser, Utilities, $q, $stateParams, OrderService) {
                        var dfd = $q.defer();
                        GlobalUser.getUser().then(function (user) {
                               if (user) {
                                   var orderCart = $stateParams.orderCart;
                                   
                                    if(!orderCart){
                                        //call API Get List Order Feedback
                                        $rootScope.$broadcast('loading:show');
                                        OrderService.getListOrderFeedback(constant.chain_id,user.user_id, constant.language_code).then(function(ordersData){
                                            if(ordersData){
                                                dfd.resolve({obj:ordersData.order_list, isFromPayment:false });
                                                $rootScope.$broadcast('loading:hide');
                                            }
                                        }, function(error){
                                            $rootScope.$broadcast('loading:hide');
                                            Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                            dfd.reject();
                                        });
                                    }
                                    else
                                    {
                                        OrderService.getListItemFeedback(constant.chain_id,user.user_id, orderCart,constant.language_code).then(function(itemOrdersData){
                                            dfd.resolve({obj:itemOrdersData, isFromPayment:true });
                                            $rootScope.$broadcast('loading:hide');
                                        }, function(error){
                                            $rootScope.$broadcast('loading:hide');
                                        });
                                    }
                                } else {
                                    Utilities.showConfirm(constant.language.msg_login_required, constant.language.msg_login_to_continute, function (result) {
                                        if (result) {
                                            Utilities.goBackToLogin(page_name.feedback, []);
                                        }
                                    });
                                    dfd.reject();
                                }
                            });
                        
                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.order_new_status, {url: '/track-order/:orderNo',
        views: {'menuContent': {templateUrl: 'orders/order_new_status.html',controller: 'OrderNewStatusCtrl'}}
    });

    $stateProvider.state(page_name.past_order_detail, {url: '/track-order/:orderNo/:orderId/:orderType',
        views: {
            'menuContent': {
                templateUrl: 'orders/past_order_detail.html',
                controller: 'PastOrderDetailCtrl',
                resolve: {
                    order: function($q, $rootScope, OrderService, $stateParams, GlobalUser, Utilities){
                        var dfd = $q.defer();
                        var orderId = $stateParams.orderId;
                        var orderType = $stateParams.orderType;
                        GlobalUser.getUser().then(function(user){
                            if(user){
                                $rootScope.$broadcast('loading:show');
                                OrderService.getOrderDetail(user.user_id, orderId, orderType).then(function(data){
                                    $rootScope.$broadcast('loading:hide');
                                    dfd.resolve(data);
                                }, function(error){
                                    $rootScope.$broadcast('loading:hide');
                                    Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                    dfd.reject(error);
                                });
                            }
                        });
                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(page_name.track_order_detail, {url: '/track-order/:orderNo/:orderId/:orderType',
        views: {
            'menuContent': {
                templateUrl: 'orders/track_order_detail.html',
                controller: 'TrackOrderDetailCtrl',
                resolve: {
                    order: function($q, $rootScope, OrderService, $stateParams, GlobalUser, Utilities){
                        var dfd = $q.defer();
                        $rootScope.$broadcast('loading:show');
                        var orderId = $stateParams.orderId;
                        var orderType = $stateParams.orderType;
                        GlobalUser.getUser().then(function(user){
                            if(user){
                                OrderService.getOrderDetail(user.user_id, orderId, orderType).then(function(data){
                                    $rootScope.$broadcast('loading:hide');
                                    dfd.resolve(data);
                                }, function(error){
                                    $rootScope.$broadcast('loading:hide');
                                    Utilities.showAlertError(constant.language.err_msg.mess_title_error, error.message);
                                    dfd.reject(error);
                                });
                            }
                        });
                        return dfd.promise;
                    }
                }
            }
        }
    });
    
    $stateProvider.state(constant.root_state + '.default_theme', {url: '/index-theme',
        views: {'menuContent': {templateUrl: "default_theme.html"}}
    });
    
    $urlRouterProvider.otherwise('/splash');
    
//    $urlRouterProvider.otherwise(function($injector, $location){
////        return '/splash';
//
//        return '';
//        caoth FAILED
//    });
});