skipQueueApp.config(function($translateProvider) {
    default_language = "en";
    $translateProvider.translations('en', en_translations);
    $translateProvider.translations('zh', zh_translations);
    
    $translateProvider.preferredLanguage(default_language);
    $translateProvider.fallbackLanguage(default_language);
    $translateProvider.useSanitizeValueStrategy(null);
})
.run(function($ionicPlatform, $translate) {
    $ionicPlatform.ready(function() {
        if(typeof navigator.globalization !== "undefined") {
            navigator.globalization.getPreferredLanguage(function(language) {
                $translate.use((language.value).split("-")[0]).then(function(data) {
                    //console.log("SUCCESS -> " + data);
                }, function(error) {
                    //console.log("ERROR -> " + error);
                });
            }, null);
        }
    });
});

